Bug 17771 - Add link to bibliographic record on spent/ordered lists in acquisitions
Summary: Add link to bibliographic record on spent/ordered lists in acquisitions
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Luke Honiss
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2016-12-13 21:53 UTC by Katrin Fischer
Modified: 2017-01-22 17:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17771: Add link to bibliographic record on spent/ordered lists in acquisitions (2.97 KB, patch)
2017-01-17 22:31 UTC, Luke Honiss
Details | Diff | Splinter Review
Bug 17771: Add link to bibliographic record on spent/ordered lists in acquisitions (3.00 KB, patch)
2017-01-17 22:43 UTC, Luke Honiss
Details | Diff | Splinter Review
[SIGNED OFF] Bug 17771: Add link to bibliographic record on spent/ordered lists in acquisitions (3.09 KB, patch)
2017-01-18 00:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17771: Add link to bibliographic record on spent/ordered lists in acquisitions (3.14 KB, patch)
2017-01-19 11:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17771: aqorders.biblionumber was already part of the query (774 bytes, patch)
2017-01-19 11:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17771: Add link to bibliographic record on spent/ordered lists in acquisitions (3.13 KB, patch)
2017-01-19 11:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17771 [QA Followup] - Tidy table html (4.01 KB, patch)
2017-01-19 11:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17771: aqorders.biblionumber was already part of the query (774 bytes, patch)
2017-01-19 11:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17771: Add link to bibliographic record on spent/ordered lists in acquisitions (3.19 KB, patch)
2017-01-19 11:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17771 [QA Followup] - Tidy table html (4.01 KB, patch)
2017-01-19 11:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17771: aqorders.biblionumber was already part of the query (774 bytes, patch)
2017-01-19 11:56 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-12-13 21:53:52 UTC
The funds table on the start page of the acquisitions module provides links to open orders (ordered) and received orders (spent) for each fund. 
On the lists, there is no way to see the details of an ordered record. 
It would be nice to provide a link to the staff detail page of the ordered titles.
Comment 1 Luke Honiss 2017-01-17 22:31:42 UTC
Created attachment 59114 [details] [review]
Bug 17771: Add link to bibliographic record on spent/ordered lists in acquisitions

==TEST PLAN==
1) Open Acquisitions and click on the ordered link under the fund
2) There will be no link on the title
3) Go back and click on thespent link
4) There will be no link on the title
5) Apply patch
6) Go to Acquisitions and click on ordered
7) There will now be a link that takes the user to the book catelog
page
8) Go back and click on sent
9) There will be a link that takes the user to the book catelog
Comment 2 Luke Honiss 2017-01-17 22:43:09 UTC
Created attachment 59116 [details] [review]
Bug 17771: Add link to bibliographic record on spent/ordered lists in acquisitions

==TEST PLAN==
1) Open Acquisitions and click on the ordered link under the fund
2) There will be no link on the title
3) Go back and click on thespent link
4) There will be no link on the title
5) Apply patch
6) Go to Acquisitions and click on ordered
7) There will now be a link that takes the user to the book catelog
page
8) Go back and click on sent
9) There will be a link that takes the user to the book catelog
Comment 3 Katrin Fischer 2017-01-18 00:38:09 UTC
Created attachment 59128 [details] [review]
[SIGNED OFF] Bug 17771: Add link to bibliographic record on spent/ordered lists in acquisitions

==TEST PLAN==
1) Open Acquisitions and click on the ordered link under the fund
2) There will be no link on the title
3) Go back and click on thespent link
4) There will be no link on the title
5) Apply patch
6) Go to Acquisitions and click on ordered
7) There will now be a link that takes the user to the book catelog
page
8) Go back and click on sent
9) There will be a link that takes the user to the book catelog

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Works like a charm!
Comment 4 Katrin Fischer 2017-01-18 00:39:00 UTC
Thx for fixing this!
Comment 5 Jonathan Druart 2017-01-19 11:46:59 UTC
Created attachment 59223 [details] [review]
Bug 17771: Add link to bibliographic record on spent/ordered lists in acquisitions

==TEST PLAN==
1) Open Acquisitions and click on the ordered link under the fund
2) There will be no link on the title
3) Go back and click on thespent link
4) There will be no link on the title
5) Apply patch
6) Go to Acquisitions and click on ordered
7) There will now be a link that takes the user to the book catelog
page
8) Go back and click on sent
9) There will be a link that takes the user to the book catelog

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Works like a charm!

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jonathan Druart 2017-01-19 11:47:16 UTC
Created attachment 59224 [details] [review]
Bug 17771: aqorders.biblionumber was already part of the query

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Kyle M Hall 2017-01-19 11:48:14 UTC
Created attachment 59225 [details] [review]
Bug 17771: Add link to bibliographic record on spent/ordered lists in acquisitions

==TEST PLAN==
1) Open Acquisitions and click on the ordered link under the fund
2) There will be no link on the title
3) Go back and click on thespent link
4) There will be no link on the title
5) Apply patch
6) Go to Acquisitions and click on ordered
7) There will now be a link that takes the user to the book catelog
page
8) Go back and click on sent
9) There will be a link that takes the user to the book catelog

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Works like a charm!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Kyle M Hall 2017-01-19 11:48:21 UTC
Created attachment 59226 [details] [review]
Bug 17771 [QA Followup] - Tidy table html

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Jonathan Druart 2017-01-19 11:52:04 UTC
Created attachment 59227 [details] [review]
Bug 17771: aqorders.biblionumber was already part of the query

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 10 Kyle M Hall 2017-01-19 11:56:14 UTC
Created attachment 59228 [details] [review]
Bug 17771: Add link to bibliographic record on spent/ordered lists in acquisitions

==TEST PLAN==
1) Open Acquisitions and click on the ordered link under the fund
2) There will be no link on the title
3) Go back and click on thespent link
4) There will be no link on the title
5) Apply patch
6) Go to Acquisitions and click on ordered
7) There will now be a link that takes the user to the book catelog
page
8) Go back and click on sent
9) There will be a link that takes the user to the book catelog

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Works like a charm!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 11 Kyle M Hall 2017-01-19 11:56:22 UTC
Created attachment 59229 [details] [review]
Bug 17771 [QA Followup] - Tidy table html

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 12 Kyle M Hall 2017-01-19 11:56:24 UTC
Created attachment 59230 [details] [review]
Bug 17771: aqorders.biblionumber was already part of the query

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 13 Kyle M Hall 2017-01-19 11:59:41 UTC
Pushed to master for 17.05, thanks Luke!
Comment 14 Katrin Fischer 2017-01-22 17:01:29 UTC
This won't get ported back to 16.11.x as it is an enhancement.